Bug 29867 - Reindent authorized values administration template
Summary: Reindent authorized values administration template
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 7374
  Show dependency treegraph
 
Reported: 2022-01-12 19:22 UTC by Owen Leonard
Modified: 2022-02-11 13:27 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00


Attachments
Bug 29867: Reindent authorized values administration template (33.68 KB, patch)
2022-01-12 19:31 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29867: (follow-up) Add markup comments (5.76 KB, patch)
2022-01-12 19:31 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29867: Reindent authorized values administration template (33.74 KB, patch)
2022-01-19 23:29 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 29867: (follow-up) Add markup comments (5.82 KB, patch)
2022-01-19 23:30 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 29867: Reindent authorized values administration template (33.84 KB, patch)
2022-02-02 09:36 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29867: (follow-up) Add markup comments (5.89 KB, patch)
2022-02-02 09:36 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29867: Reindent authorized values administration template (33.85 KB, patch)
2022-02-10 12:28 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29867: (follow-up) Add markup comments (5.89 KB, patch)
2022-02-10 12:28 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2022-01-12 19:22:57 UTC
I would like to update the authorized values administration template so that it has consistent indentation. It needs to have some tabs replaced with spaces and to have trailing spaces removed.
Comment 1 Owen Leonard 2022-01-12 19:31:22 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2022-01-12 19:31:28 UTC Comment hidden (obsolete)
Comment 3 Lucas Gass 2022-01-19 23:29:58 UTC Comment hidden (obsolete)
Comment 4 Lucas Gass 2022-01-19 23:30:01 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2022-02-02 09:36:43 UTC
Created attachment 130062 [details] [review]
Bug 29867: Reindent authorized values administration template

This patch performs general template cleanup to authorized values
administration: Make indentation consistent, replace tabs with spaces,
and trim trailing whitespace.

To test, apply the patch and go to Administration -> Authorized values.
Test that all functionality works correctly:

 - Adding or deleting categories
 - Adding, editing, and deleting authorized values.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Jonathan Druart 2022-02-02 09:36:47 UTC
Created attachment 130063 [details] [review]
Bug 29867: (follow-up) Add markup comments

This patch adds comments to the template to highlight the markup
structure.

This patch should have no effect on the page's appearance or
functionality.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 7 Fridolin Somers 2022-02-10 07:20:39 UTC
I'm really sorry patch does not apply anymore on master.
Looks like it is because of Bug 29859.

I'll push fastly after rebase.
Comment 8 Owen Leonard 2022-02-10 12:28:32 UTC
Created attachment 130444 [details] [review]
Bug 29867: Reindent authorized values administration template

This patch performs general template cleanup to authorized values
administration: Make indentation consistent, replace tabs with spaces,
and trim trailing whitespace.

To test, apply the patch and go to Administration -> Authorized values.
Test that all functionality works correctly:

 - Adding or deleting categories
 - Adding, editing, and deleting authorized values.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 9 Owen Leonard 2022-02-10 12:28:36 UTC
Created attachment 130445 [details] [review]
Bug 29867: (follow-up) Add markup comments

This patch adds comments to the template to highlight the markup
structure.

This patch should have no effect on the page's appearance or
functionality.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 10 Fridolin Somers 2022-02-10 23:55:50 UTC
Thanks a lot Owen.
This template looks a looooot more clear now ;)
Comment 11 Fridolin Somers 2022-02-11 00:38:04 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄